aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/UserScripts/WallpaperSelect.sh
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-03-08 19:56:16 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-03-08 19:56:16 +0900
commitdbfd694a9b006ca1b2da42ad94d6bf0ff5a6d394 (patch)
tree917f45eb592125ca67a0deb7bc4dae49beed301f /config/hypr/UserScripts/WallpaperSelect.sh
parentb6ba772057064e7ff9cf85d988b0f7be50fc95f0 (diff)
updated wallpaper select.sh
Diffstat (limited to 'config/hypr/UserScripts/WallpaperSelect.sh')
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperSelect.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/config/hypr/UserScripts/WallpaperSelect.sh b/config/hypr/UserScripts/WallpaperSelect.sh
index 11a19efd..cf677f9c 100755
--- a/config/hypr/UserScripts/WallpaperSelect.sh
+++ b/config/hypr/UserScripts/WallpaperSelect.sh
@@ -12,6 +12,12 @@ wallpaper_current="$HOME/.config/hypr/wallpaper_effects/.wallpaper_current"
iDIR="$HOME/.config/swaync/images"
iDIRi="$HOME/.config/swaync/icons"
+# Check if package bc exists
+if ! command -v bc &>/dev/null; then
+notify-send -i "$iDIR/ja.png" "bc missing" "Install package bc first"
+exit 1
+fi
+
# variables
rofi_theme="$HOME/.config/rofi/config-wallpaper.rasi"
focused_monitor=$(hyprctl monitors -j | jq -r '.[] | select(.focused) | .name')
@@ -28,7 +34,6 @@ adjusted_icon_size=$(echo "$icon_size" | awk '{if ($1 < 15) $1 = 20; if ($1 > 25
# Setting the rofi override with the adjusted icon size
rofi_override="element-icon{size:${adjusted_icon_size}%;}"
-
# swww transition config
FPS=60
TYPE="any"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage